package org.jeecg.modules.stm.project.create.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.stm.project.create.entity.StProjectCre;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.stm.project.create.vo.ProjectConfigVo;
import org.jeecg.modules.stm.project.create.vo.ProjectImportVo;
import org.jeecg.modules.stm.project.create.vo.TwoProjectConfigVo;

/**
 * @Description: 项目立项
 * @Author: jeecg-boot
 * @Date:   2023-08-13
 * @Version: V1.0
 */
public interface IStProjectCreService extends IService<StProjectCre> {

    void approve(StProjectCre stProjectCre);

    IPage<StProjectCre> pagePrepar(Page<StProjectCre> page, QueryWrapper<StProjectCre> queryWrapper);

    IPage<StProjectCre> defPage(Page<StProjectCre> page, QueryWrapper<StProjectCre> queryWrapper);

    void saveOneStep(ProjectConfigVo projectConfigVo);

    void saveTwoStep(TwoProjectConfigVo twoProjectConfigVo);

    void add3Step(TwoProjectConfigVo twoProjectConfigVo);

    void add4Step(TwoProjectConfigVo twoProjectConfigVo);

    void add5Step(TwoProjectConfigVo twoProjectConfigVo);

    void add6Step(TwoProjectConfigVo twoProjectConfigVo);

    void add7Step(TwoProjectConfigVo twoProjectConfigVo);

    void submitPrepate(TwoProjectConfigVo twoProjectConfigVo);

    void save2Submit(TwoProjectConfigVo twoProjectConfigVo);

    void projectImport(ProjectImportVo projectImportVo);
}
